curl --request POST \
--url https://app.apigene.ai/api/context \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"apps": [],
"summary": "",
"when_to_use": "",
"type": "",
"status": "active"
}
'import requests
url = "https://app.apigene.ai/api/context"
payload = {
"name": "<string>",
"description": "<string>",
"apps": [],
"summary": "",
"when_to_use": "",
"type": "",
"status": "active"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
apps: [],
summary: '',
when_to_use: '',
type: '',
status: 'active'
})
};
fetch('https://app.apigene.ai/api/context', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"apps": [],
"summary": "",
"when_to_use": "",
"type": "",
"status": "active"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Context Create
Endpoint to create a new context associated with the authenticated tenant.
Args: context (ContextCreate): The request body containing the context definition.
Returns: Context: The created context object.
Raises: HTTPException 400: If input validation fails HTTPException 409: If the context creation fails due to a runtime error.
Authorizations
JWT Authorization header using the Bearer scheme. Example: 'Authorization: Bearer {token}'
Body
Name of the context
Description of the context
List of associated apps
A short summary about the context
A short summary explaining to LLM when to apply the context
A string to classify the context type
Status of the context: active or disabled
Response
Successful Response
Unique identifier for the context
Name of the context
Description of the context
User who created the context
The date and time when the context was created.
The date and time when the context was last updated.
List of associated apps
A short summary about the context
A short summary explaining to LLM when to apply the context
A string to classify the context type
Status of the context: active or disabled
